/*------------------------------------*\
    #MENU-MAIN
\*------------------------------------*/
/**
 * Main navigation component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

$inuit-menu-main-offset-x: 1500px;
$inuit-menu-main-transition-duration: $inuit-base-transition-duration !default;

.#{$inuit-namespace}menu-main,
%#{$inuit-namespace}menu-main {
    background: $frs-color-white;
    bottom: 0;
    box-shadow: -5px 12px 20px 0 rgba($frs-color-black, .5);
    display: block;
    max-width: 100%;
    min-width: 310px;
    overflow-y: auto;
    padding: 0 0 10px;
    position: fixed;
    right: -1 * $inuit-menu-main-offset-x;
    top: $inuit-page-head-height-small;
    transition: $inuit-menu-main-transition-duration all ease-in-out;
    z-index: 5000;

    &__item {
        position:relative;
    }
    &.is-active {
        transform: translate3d(-$inuit-menu-main-offset-x, 0, 0);

        .no-csstransforms3d & {
            transform: translateX(-$inuit-menu-main-offset-x);
        }
    }

    &.is-open {
        display: block;
    }

    .f-topbar-fixed & {
        margin-top: -.5 * $inuit-page-head-height-small;
        padding-top: $frs-base-unit-small;
    }

    @media #{$small} {
        padding: 0 0 $frs-base-unit;
    }

    @media #{$large-up}{
        top: $inuit-page-head-height;

        .f-topbar-fixed & {
            margin-top: -.5 * $inuit-page-head-height;
            padding-top: $frs-base-unit;
        }
    }
    .c-newsletter-subscribe,
    .c-search-form,
    .c-donation-link,
    .c-language-switch,
    .c-light-speaking-link {
        @media #{$medium-up} {
            display: none;
        }
    }
}

.#{$inuit-namespace}menu-main__collapseicon,
%#{$inuit-namespace}menu-main__collapseicon {
    position: absolute;
    right: 0px;
    top: 0px;
    text-align: right;
    line-height: 44px;
    color: initial;
    display: inline-block;
    width: auto;
    padding: 0 20px;
    @include epx-transition (all .3s ease-in-out 0s);
    @include frs-hover {
        background-color: $frs-color-light-blue;
        color: $frs-color-blue;
        text-decoration: none;
    }
    @include frs-focus {
        background-color: $frs-color-light-blue;
        color: $frs-color-blue;
        text-decoration: none;
    }
}
.c-menu-main__collapseicon.is-highlighted {
    padding-right: 16px;
}
.#{$inuit-namespace}menu-main-toggle__label,
%#{$inuit-namespace}menu-main-toggle__label {
    text-transform: uppercase;
}

.#{$inuit-namespace}menu-main__list,
%#{$inuit-namespace}menu-main__list {
    @extend %o-list-bare;

    min-width: 294px;
}

.#{$inuit-namespace}menu-main__item,
%#{$inuit-namespace}menu-main__item {
    &--l1 {
        border-bottom: 1px solid $frs-color-light-grey;

        &:first-of-type {
            border-top: 1px solid $frs-color-light-grey;
        }
    }

    &--l2 {
        padding-left: 0;
    }

    &--l3 {
        padding-left: 0;
    }

    &.is-highlighted {
        > a {
            background-color: $frs-color-light-blue !important;
            color: $frs-color-blue;
            text-decoration: none;
            transition: all .2s ease-in-out;
            border-right: 4px solid $frs-color-blue;
            height: 44px;
            display: block;
            padding-left: .5rem;
            line-height: 44px;
            padding-top: 0;
        }
    }
}

.#{$inuit-namespace}menu-main__link,
%#{$inuit-namespace}menu-main__link {
    color: $frs-color-blue;
    display: block;
    padding: .5rem;
    position: relative;
    height: 44px;

    @include epx-transition (all .3s ease-in-out 0s);
    @include frs-hover {
        background-color: $frs-color-light-blue;
        color: $frs-color-blue;
        text-decoration: none;
    }
    @include frs-focus {
        background-color: $frs-color-light-blue;
        color: $frs-color-blue;
        text-decoration: none;
    }
    &.is-active {
        background-color: $frs-color-light-blue;
        color: $frs-color-blue;
    }
}

.#{$inuit-namespace}menu-main__mobile-container,
%#{$inuit-namespace}menu-main__mobile-container {
    height: $frs-base-unit-small;
    line-height: $frs-base-unit-small;
    //padding: 0 .4rem;
    margin:-1.1rem 0 0 0;
    @media #{$medium-up} {
        margin:0;
    }
    .c-newsletter-subscribe,
    .c-donation-link,
    .c-language-switch {
        float: left;
        margin: 0;
        padding: 0;
    }
    .c-donation-link {
        float:none;
        @media #{$medium-up} {
            float: left;
            margin:0;
        }
    }
    .c-search-form {
        padding-left:0.4rem;
    }
    .c-language-switch__link {
        padding: 0 8px;
    }

}

.c-menu-link {
    position: absolute;
    top: 0;
    left: 0;
    text-align: left;
    line-height: 44px;
    height: 44px;
    padding-left: .5rem;
    z-index: 100
}
.c-light-speaking-link {
    text-transform: uppercase;
    display: inline-block;
    margin: 0 17px 0 20px;
    img {
        padding: 0.6rem 0.5rem 0.5rem 0.5rem;
        width: 2.2rem;
        height:auto;
    }
}
@media only screen and (min-width: 45.0625em) {
    .c-light-speaking-link {
        float: left;
        vertical-align: middle
    }
}

@media only screen and (max-width: 720px) {
    .c-light-speaking-link {
        margin: 0 10px;
    }
}
@if $theme == "reloaded" {
    .c-light-speaking-link {
        text-transform: none;
        max-width:none;
        margin: 10px 17px 0 20px;
        a {
            float:left;
            color: $frs-color-grey;
            @include frs-hover {
                color:$frs-color-grey;
                text-decoration:underline;
            }
        }
        picture {
            float:right;
            margin-left:0.5rem;
            img {
                width:auto;
                padding: 0;
                fill:$frs-color-grey;
                @include frs-hover {
                    fill:$frs-color-blue;
                }
            }
        }
    }
    .#{$inuit-namespace}menu-main-toggle,
    %#{$inuit-namespace}menu-main-toggle {
        float:right;
        clear:right;
        margin-top:0.2rem;
        @media #{$large-up} {
            margin-top:0;
        }
        &__icon-wrap {
            margin-top:0.2rem;
            @media #{$large-up} {
                margin-top:0;
            }
        }
    }
    .#{$inuit-namespace}menu-main,
    %#{$inuit-namespace}menu-main {
        right: -200%;
        top: 68px;
        > div {
            background: $frs-color-white;
            @media #{$medium-up} {
                box-shadow: -5px 12px 20px 0 rgba($frs-color-black, .5);
                overflow-y:auto;
                right: -200%;
                top: 68px;
                position: fixed;
            }
        }
        &__item {
            position:relative;
        }
        &.follow {
            top:52px;
        }
        &.is-active {
            right: 0;
            transform: translate3d(0, 0, 0);
            .no-csstransforms3d & {
                right: 0;
                transform: none;
            }
            &.follow {
                top:52px;
            }
            @media #{$medium-up} {
                &.follow {
                    top:100px;
                }
            }
        }
        @media #{$medium-up} {
            top:150px;
            &.follow {
                top:100px;
            }
        }
        @media #{$large-up} {
            right: -100%;
            &.is-active {
                right: 1%;
                .no-csstransforms3d & {
                    right: 1%;
                }
            }
        }
        @media #{$xlarge-up} {
            right:-30%;
            &.is-active {
                right: 10%;
                .no-csstransforms3d & {
                    right: 10%;
                }
            }
        }
    }
    .#{$inuit-namespace}menu-main__link,
    %#{$inuit-namespace}menu-main__link {
        font-size:17px;
        line-height: 26px;
        color: $frs-color-blue;
        @include frs-hover {
            background-color: $frs-color-white;
            color: $frs-color-blue;
            text-decoration: underline;
            @include epx-transition (all 200ms ease-in-out 0s);
            .c-menu-link {
                text-decoration: underline;
            }
        }
        @include frs-focus {
            background-color: $frs-color-white;
            color: $frs-color-blue;
            text-decoration: underline;
            @include epx-transition (all 200ms ease-in-out 0s);
            .c-menu-main__collapseicon {
                text-decoration: none;
            }
        }

        &.is-active {
            background-color: $frs-color-light-blue;
            color: $frs-color-blue;
        }
    }
    .#{$inuit-namespace}menu-main__collapseicon,
    %#{$inuit-namespace}menu-main__collapseicon {
        display: inline-block;
        width: auto;
        padding: 0 20px;
    }
}


